Rename a template family
Changes a template family's name and returns the updated family. Use this endpoint to rename a template family through the Samva email API.
Changes a template family's name and returns the updated family.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
familyId*string
Match
^tfam_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/templates/families/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "organizationId": "string", "name": "string", "members": [ { "id": "string", "name": "string", "slug": "string", "channel": "email", "status": "draft", "isActive": true, "createdAt": "string", "updatedAt": "string" } ], "createdAt": "string", "updatedAt": "string"}